%define upstream_name    Moose
%define upstream_version 2.2014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A complete modern object system for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(Class::Load) >= 0.90.0
BuildRequires: perl(Class::Load::XS) >= 0.10.0
BuildRequires: perl(Data::OptList) >= 0.107.0
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Devel::OverloadInfo) >= 0.5.0
BuildRequires: perl(Devel::StackTrace) >= 2.30.0
BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Eval::Closure) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(MRO::Compat) >= 0.50.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Module::Runtime::Conflicts) >= 0.2.0
BuildRequires: perl(Package::DeprecationManager) >= 0.110.0
BuildRequires: perl(Package::Stash) >= 0.320.0
BuildRequires: perl(Package::Stash::XS) >= 0.240.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Scalar::Util) >= 1.190.0
BuildRequires: perl(Sub::Exporter) >= 0.980.0
BuildRequires: perl(Sub::Name) >= 0.200.0
BuildRequires: perl(Test::CleanNamespaces) >= 0.130.0
BuildRequires: perl(Test::Fatal) >= 0.1.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires) >= 0.50.0
BuildRequires: perl(Try::Tiny) >= 0.170.0
BuildRequires: perl(parent) >= 0.223.0
BuildRequires: perl(strict) >= 1.30.0
BuildRequires: perl(warnings) >= 1.30.0
BuildRequires: perl-devel
Requires:   perl(Sub::Name)
Provides:   perl-Moose-implementation
Provides:   perl(Moose::Conflicts)

Obsoletes:  perl-Class-MOP <= 1.120.0
Provides:   perl-Class-MOP = 1.120.0

%{?perl_default_filter}

%description
Moose is an extension of the Perl 5 object system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorarch}/*

%changelog
* Sat Dec 19 2020 tv <tv> 2.201.400-1.mga8
+ Revision: 1661113
- update to 2.2014

* Fri Jul 24 2020 tv <tv> 2.201.300-1.mga8
+ Revision: 1608770
- update to 2.2013

* Thu Jun 18 2020 umeabot <umeabot> 2.201.200-4.mga8
+ Revision: 1596385
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 2.201.200-2.mga8
+ Revision: 1538578
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 tv <tv> 2.201.200-1.mga8
+ Revision: 1462343
- update to 2.2012

* Tue Aug 27 2019 tv <tv> 2.201.100-4.mga8
+ Revision: 1432994
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.201.100-3.mga7
+ Revision: 1293478
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 2.201.100-2.mga7
+ Revision: 1247631
- rebuild for perl 5.28

* Wed May 16 2018 tv <tv> 2.201.100-1.mga7
+ Revision: 1229852
- update to 2.2011

* Sat Feb 17 2018 tv <tv> 2.201.0-1.mga7
+ Revision: 1202138
- update to 2.2010

* Thu Nov 30 2017 tv <tv> 2.200.900-1.mga7
+ Revision: 1180492
- update to 2.2009

* Thu Nov 23 2017 tv <tv> 2.200.800-1.mga7
+ Revision: 1178933
- update to 2.2008

* Wed Nov 15 2017 tv <tv> 2.200.700-1.mga7
+ Revision: 1177463
- update to 2.2007

* Tue Oct 03 2017 tv <tv> 2.200.600-3.mga7
+ Revision: 1165575
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.200.600-2.mga7
+ Revision: 1149855
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 2.200.600-1.mga7
+ Revision: 1128344
- New version 2.2006
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.160.500-2.mga6
+ Revision: 1030316
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 2.160.500-1.mga6
+ Revision: 978705
- update to 2.1605

* Sat Jan 16 2016 shlomif <shlomif> 2.160.400-1.mga6
+ Revision: 923727
- update to 2.1604

* Sun Sep 06 2015 sander85 <sander85> 2.160.300-1.mga6
+ Revision: 873559
- update to 2.1603

* Sat Aug 01 2015 sander85 <sander85> 2.160.0-1.mga6
+ Revision: 860350
- update to 2.1600

* Fri Jun 26 2015 tv <tv> 2.140.500-3.mga6
+ Revision: 845028
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 2.140.500-2.mga6
+ Revision: 842299
- Fixed Source and BR

* Tue Jun 23 2015 sander85 <sander85> 2.140.500-1.mga6
+ Revision: 841378
- update to 2.1405

* Wed Oct 15 2014 umeabot <umeabot> 2.121.100-7.mga5
+ Revision: 739675
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.121.100-6.mga5
+ Revision: 735775
- add exclude

* Sun Sep 21 2014 pterjan <pterjan> 2.121.100-5.mga5
+ Revision: 708356
- Drop generated Provides/Requires
- Add missing Provides on perl(Moose::Conflicts)

* Tue Sep 16 2014 umeabot <umeabot> 2.121.100-4.mga5
+ Revision: 685508
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 pterjan <pterjan> 2.121.100-3.mga5
+ Revision: 668548
- Drop arch specific manual requires

* Mon Aug 25 2014 pterjan <pterjan> 2.121.100-2.mga5
+ Revision: 667373
- Manually list dependencies

* Fri Aug 15 2014 sander85 <sander85> 2.121.100-1.mga5
+ Revision: 662775
- update to 2.1211

* Thu Jul 10 2014 sander85 <sander85> 2.121.0-1.mga5
+ Revision: 651030
- update to 2.1210

* Fri Jun 06 2014 jquelin <jquelin> 2.120.900-1.mga5
+ Revision: 634077
- update to 2.1209

* Wed Jun 04 2014 sander85 <sander85> 2.120.800-1.mga5
+ Revision: 633227
- update to 2.1208

* Tue Jun 03 2014 jquelin <jquelin> 2.120.700-3.mga5
+ Revision: 632408
- perl 5.20.0 rebuild

* Tue Jun 03 2014 tv <tv> 2.120.700-2.mga5
+ Revision: 632126
- rebuild for new perl

* Fri May 30 2014 sander85 <sander85> 2.120.700-1.mga5
+ Revision: 627919
- update to 2.1207

* Tue May 20 2014 jquelin <jquelin> 2.120.600-1.mga5
+ Revision: 624342
- update to 2.1206

* Tue May 06 2014 jquelin <jquelin> 2.120.500-1.mga5
+ Revision: 620434
- update to 2.1205

* Thu Feb 13 2014 jquelin <jquelin> 2.120.400-1.mga5
+ Revision: 590642
- update to 2.1204

* Sat Oct 19 2013 umeabot <umeabot> 2.100.500-2.mga4
+ Revision: 531742
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 sander85 <sander85> 2.100.500-1.mga4
+ Revision: 464938
- update to 2.1005

* Mon Aug 05 2013 sander85 <sander85> 2.100.400-1.mga4
+ Revision: 464010
- update to 2.1004

* Fri Jul 26 2013 sander85 <sander85> 2.100.300-1.mga4
+ Revision: 458726
- update to 2.1003

* Mon Jun 03 2013 jquelin <jquelin> 2.80.200-1.mga4
+ Revision: 436664
- update to 2.0802

* Wed May 29 2013 jquelin <jquelin> 2.60.400-7.mga4
+ Revision: 431633
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 2.60.400-6.mga4
+ Revision: 431248
- perl 5.18.0 rebuild
+ tv <tv>
- rebuild for new perl

* Wed Jan 23 2013 jquelin <jquelin> 2.60.400-4.mga3
+ Revision: 391458
- wrong provides

* Sun Jan 13 2013 umeabot <umeabot> 2.60.400-3.mga3
+ Revision: 370109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 2.60.400-2.mga3
+ Revision: 326868
- add missing provides

* Wed Sep 26 2012 jquelin <jquelin> 2.60.400-1.mga3
+ Revision: 298166
- update to 2.0604

* Mon Jul 02 2012 jquelin <jquelin> 2.60.300-1.mga3
+ Revision: 266689
- update to 2.0603

* Tue Jun 05 2012 jquelin <jquelin> 2.60.200-1.mga3
+ Revision: 255706
- update to 2.0602

* Wed May 30 2012 jquelin <jquelin> 2.40.200-2.mga3
+ Revision: 250951
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 2.40.200-1.mga2
+ Revision: 213321
- update to 2.0402

* Mon Dec 12 2011 jquelin <jquelin> 2.40.100-1.mga2
+ Revision: 180952
- update to 2.0401

* Mon Sep 26 2011 jquelin <jquelin> 2.20.500-1.mga2
+ Revision: 148414
- update to 2.0205

* Mon Aug 29 2011 jquelin <jquelin> 2.20.400-2.mga2
+ Revision: 136108
- take lowercase provides into account
- update to 2.0204
- update to 2.0203

* Wed Jun 22 2011 jquelin <jquelin> 2.1.0-1.mga2
+ Revision: 112289
- update to 2.0010

* Fri Jun 17 2011 jquelin <jquelin> 2.0.700-1.mga2
+ Revision: 108806
- update to 2.0007

* Mon Jun 13 2011 jquelin <jquelin> 2.0.0-3.mga2
+ Revision: 105636
- class::mop is now merged within moose, obsoleting perl-Class-MOP

* Sun Jun 12 2011 jquelin <jquelin> 2.0.0-2.mga2
+ Revision: 104600
- rebuild

* Wed Apr 13 2011 jquelin <jquelin> 2.0.0-1.mga1
+ Revision: 84286
- update to 2.0000

* Mon Apr 04 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 80381
- update to 1.25

* Sat Feb 26 2011 jquelin <jquelin> 1.240.0-1.mga1
+ Revision: 60266
- update to 1.24

* Wed Feb 16 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 52342
- update to 1.23

* Thu Jan 13 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 13124
- imported package perl-Moose

